* [gentoo-commits] gentoo-x86 commit in eclass: mozextension.eclass
@ 2007-12-20 15:43 Raul Porcel (armin76)
0 siblings, 0 replies; 3+ messages in thread
From: Raul Porcel (armin76) @ 2007-12-20 15:43 UTC (permalink / raw
To: gentoo-commits
armin76 07/12/20 15:43:15
Modified: mozextension.eclass
Log:
Fix mozextension.eclass wrt bug #202847, patch by Nirbheek Chauhan <nirbheek dot chauhan at gmail dot com>
Revision Changes Path
1.4 eclass/mozextension.eclass
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mozextension.eclass?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mozextension.eclass?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mozextension.eclass?r1=1.3&r2=1.4
Index: mozextension.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- mozextension.eclass 12 Mar 2007 11:57:49 -0000 1.3
+++ mozextension.eclass 20 Dec 2007 15:43:14 -0000 1.4
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v 1.3 2007/03/12 11:57:49 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v 1.4 2007/12/20 15:43:14 armin76 Exp $
#
# mozextention.eclass: installing firefox extensions and language packs
@@ -17,9 +17,9 @@
for xpi in "$@"; do
einfo "Unpacking ${xpi} to ${PWD}"
- xpiname=${xpi%.*}
+ xpiname=$(basename ${xpi%.*})
- if [[ "${xpi:0:2}" != "./" ]] ; then
+ if [[ "${xpi:0:2}" != "./" ]] && [[ "${xpi:0:1}" != "/" ]] ; then
srcdir="${DISTDIR}/"
fi
--
gentoo-commits@gentoo.org mailing list
^ permalink raw reply [flat|nested] 3+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: mozextension.eclass
@ 2010-12-30 3:06 Jory Pratt (anarchy)
0 siblings, 0 replies; 3+ messages in thread
From: Jory Pratt (anarchy) @ 2010-12-30 3:06 UTC (permalink / raw
To: gentoo-commits
anarchy 10/12/30 03:06:04
Modified: mozextension.eclass
Log:
cleanup parsing of install.rdf for extensions, bug #301920
Revision Changes Path
1.5 eclass/mozextension.eclass
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mozextension.eclass?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mozextension.eclass?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mozextension.eclass?r1=1.4&r2=1.5
Index: mozextension.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- mozextension.eclass 20 Dec 2007 15:43:14 -0000 1.4
+++ mozextension.eclass 30 Dec 2010 03:06:04 -0000 1.5
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v 1.4 2007/12/20 15:43:14 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v 1.5 2010/12/30 03:06:04 anarchy Exp $
#
# mozextention.eclass: installing firefox extensions and language packs
@@ -48,7 +48,8 @@
x="${1}"
cd ${x}
# determine id for extension
- emid=$(sed -n -e '/<\?em:id>\?/!d; s/.*\([\"{].*[}\"]\).*/\1/; s/\"//g; p; q' ${x}/install.rdf) || die "failed to determine extension id"
+ emid="$(sed -n -e '/install-manifest/,$ { /em:id/!d; s/.*[\">]\([^\"<>]*\)[\"<].*/\1/; p; q }' "${x}"/install.rdf)" \
+ || die "failed to determine extension id"
insinto "${MOZILLA_FIVE_HOME}"/extensions/${emid}
doins -r "${x}"/* || die "failed to copy extension"
}
^ permalink raw reply [flat|nested] 3+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: mozextension.eclass
@ 2011-10-31 12:28 Jory Pratt (anarchy)
0 siblings, 0 replies; 3+ messages in thread
From: Jory Pratt (anarchy) @ 2011-10-31 12:28 UTC (permalink / raw
To: gentoo-commits
anarchy 11/10/31 12:28:14
Modified: mozextension.eclass
Log:
Fix xpi_unpack to support current directory, bug #388181
Revision Changes Path
1.6 eclass/mozextension.eclass
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mozextension.eclass?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mozextension.eclass?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mozextension.eclass?r1=1.5&r2=1.6
Index: mozextension.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- mozextension.eclass 30 Dec 2010 03:06:04 -0000 1.5
+++ mozextension.eclass 31 Oct 2011 12:28:14 -0000 1.6
@@ -1,8 +1,13 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v 1.5 2010/12/30 03:06:04 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v 1.6 2011/10/31 12:28:14 anarchy Exp $
#
-# mozextention.eclass: installing firefox extensions and language packs
+# @ECLASS: mozextension.eclass
+# @MAINTAINER:
+# Mozilla team <mozilla@gentoo.org>
+# @DESCRIPTION:
+# Install extensions for use in mozilla products.
+
inherit eutils
@@ -28,8 +33,7 @@
case "${xpi##*.}" in
ZIP|zip|jar|xpi)
mkdir "${WORKDIR}/${xpiname}" && \
- cd "${WORKDIR}/${xpiname}" && \
- unzip -qo "${srcdir}${xpi}" || die "failed to unpack ${xpi}"
+ unzip -qo "${srcdir}${xpi}" -d "${WORKDIR}/${xpiname}" || die "failed to unpack ${xpi}"
;;
*)
einfo "unpack ${xpi}: file format not recognized. Ignoring."
^ permalink raw reply [flat|nested] 3+ messages in thread
end of thread, other threads:[~2011-10-31 12:28 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-10-31 12:28 [gentoo-commits] gentoo-x86 commit in eclass: mozextension.eclass Jory Pratt (anarchy)
-- strict thread matches above, loose matches on Subject: below --
2010-12-30 3:06 Jory Pratt (anarchy)
2007-12-20 15:43 Raul Porcel (armin76)
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox